aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog9
-rw-r--r--debian/changelog2
-rwxr-xr-xpbuilder-buildpackage2
-rw-r--r--pbuilder-satisfydepends6
-rw-r--r--pbuilder.15
-rw-r--r--pbuilderrc.511
6 files changed, 25 insertions, 10 deletions
diff --git a/ChangeLog b/ChangeLog
index 989a547..1c11332 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,14 @@
2002-03-13 Junichi Uekawa <dancer@debian.org>
+ * pbuilderrc.5: fixed the documentation, somehow
+ --distribution doc was mixed in with --hookdir.
+ refer to pbuilder.1 for --hookdir options.
+
+ * pbuilder-buildpackage (CHROOTEXEC): executehooks "D" before unpack,
+ and after extract.
+
+ * pbuilder.1: document new hook "D"
+
* pbuilder-satisfydepends: fix depends regexp, so that
multi-line Build-Depends with epoch versions will not fail.
diff --git a/debian/changelog b/debian/changelog
index 7e3462d..0721d6e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,4 +1,4 @@
-pbuilder (0.24.prerelease.20020304) unstable; urgency=low
+pbuilder (0.24.prerelease.20020313) unstable; urgency=low
* new version, not yet released (FIXME!!)
* Build-Dependency version checking improved, should work slightly better
diff --git a/pbuilder-buildpackage b/pbuilder-buildpackage
index d5dc54a..2d5a054 100755
--- a/pbuilder-buildpackage
+++ b/pbuilder-buildpackage
@@ -99,6 +99,8 @@ createbuilduser
echo Copying source file
copydsc "$PACKAGENAME" "$BUILDPLACE/tmp/buildd"
+executehooks "D"
+
echo Extracting source
if ! $CHROOTEXEC /bin/bash -c "( cd tmp/buildd; chown $BUILDUSERNAME:$BUILDUSERNAME ../buildd *; $SUTOUSER /usr/bin/dpkg-source -x $(basename $PACKAGENAME) )"; then
echo "pbuilder: Failed extracting the source" >&2
diff --git a/pbuilder-satisfydepends b/pbuilder-satisfydepends
index ade49f5..1002dc1 100644
--- a/pbuilder-satisfydepends
+++ b/pbuilder-satisfydepends
@@ -63,9 +63,7 @@ function checkbuilddep_provides () {
function checkbuilddep_internal () {
# Use this function to fulfill the dependency (almost)
-#requires:
-# CHROOTEXEC = how to run chroot
-#
+
local ARCH=$(dpkg-architecture -qDEB_HOST_ARCH)
local INSTALLPKG
local INSTALLPKGMULTI
@@ -125,7 +123,6 @@ tolower($0) ~ /^'"${BD_REGEXP}"':/ {p=1}
done;
if [ "$SATISFIED" = "no" ]; then
echo "E: Could not satisfy build-dependency." >&2
- #saveaptcache_umountproc_cleanbuildplace
exit 1
fi
done;
@@ -164,7 +161,6 @@ tolower($0) ~ /^'"${BC_REGEXP}"':/ {p=1}
if $CHROOTEXEC /usr/bin/dpkg -s $(echo "$INSTALLPKG" | tr "/" " " | awk '{print $1}') 2>&1 | grep ^Package: > /dev/null; then
if ! $CHROOTEXEC /usr/bin/apt-get -y remove ${CURRENTREALPKGNAME} ; then
echo "E: Could not satisfy build-conflicts" >&2
- #saveaptcache_umountproc_cleanbuildplace
exit 1
fi
else
diff --git a/pbuilder.1 b/pbuilder.1
index bf3a60f..9cb4730 100644
--- a/pbuilder.1
+++ b/pbuilder.1
@@ -222,6 +222,11 @@ successfully, before copying back the build result.
.B "C<digit><digit><whatever-else-you-want>"
is executed after build fails, before cleanup.
+.B "D<digit><digit><whatever-else-you-want>"
+is executed before unpacking the source inside the chroot,
+after setting up the chroot environment.
+Create $TMP, and $TMPDIR if necessary.
+
.TP
.BI "--debemail [" "email-address" "]"
diff --git a/pbuilderrc.5 b/pbuilderrc.5
index 9288a40..f38ab9f 100644
--- a/pbuilderrc.5
+++ b/pbuilderrc.5
@@ -97,6 +97,10 @@ but not
nor
.B "login"
+.B "pbuilder update"
+will update to this distribution, if this is specified,
+unless command line option is specified to override this.
+
.TP
.BI "APTCACHE=" "/var/cache/pbuilder/aptcache"
Specify the location that the packages downloaded by apt
@@ -121,13 +125,12 @@ This is overridden with the option
If this is specified, hooks are searched for in
the chroot, when running
-.BR "pbuilder update" "."
+.BR "pbuilder" "."
If it is not defined, or is an empty string,
hooks are not executed.
-.B "pbuilder update"
-will update to this distribution, if this is specified,
-unless command line option is specified to override this.
+For details, see
+.B "pbuilder.1"
.TP
.BI "DEBEMAIL=" "Mail@Address";